# Append script for task Install: task.install.openssh_8.9p1-r0 (make_install-append.sh)
# This script was imported from Yocto but may have been modified locally

	if [ "pam" ]; then
		log_run install -D -m 0644 ${workDir}/sshd ${installDir}/etc/pam.d/sshd
		sed -i -e 's:#UsePAM no:UsePAM yes:' ${installDir}${sysconfdir}/sshd_config
	fi

	if [ "" ]; then
		sed -i -e 's:#X11Forwarding no:X11Forwarding yes:' ${installDir}${sysconfdir}/sshd_config
	fi

	log_run install -d ${installDir}/etc/init.d
	log_run install -m 0755 ${workDir}/init ${installDir}/etc/init.d/sshd
	rm -f ${installDir}${bindir}/slogin ${installDir}${datadir}/Ssh.bin
	rmdir ${installDir}${runstatedir}/sshd ${installDir}${runstatedir} ${installDir}${localstatedir}
	log_run install -d ${installDir}//etc/default/volatiles
	log_run install -m 644 ${workDir}/volatiles.99_sshd ${installDir}//etc/default/volatiles/99_sshd
	log_run install -m 0755 ${buildDir}/contrib/ssh-copy-id ${installDir}${bindir}

	# Create config files for read-only rootfs
	log_run install -d ${installDir}${sysconfdir}
	log_run install -m 644 ${installDir}${sysconfdir}/sshd_config ${installDir}${sysconfdir}/sshd_config_readonly
	sed -i '/HostKey/d' ${installDir}${sysconfdir}/sshd_config_readonly
	echo "HostKey ${runstatedir}/ssh/ssh_host_rsa_key" >> ${installDir}${sysconfdir}/sshd_config_readonly
	echo "HostKey ${runstatedir}/ssh/ssh_host_ecdsa_key" >> ${installDir}${sysconfdir}/sshd_config_readonly
	echo "HostKey ${runstatedir}/ssh/ssh_host_ed25519_key" >> ${installDir}${sysconfdir}/sshd_config_readonly

	log_run install -d ${installDir}${base_libdir}/systemd/system
	log_run install -c -m 0644 ${workDir}/sshd.socket ${installDir}${base_libdir}/systemd/system
	log_run install -c -m 0644 ${workDir}/sshd@.service ${installDir}${base_libdir}/systemd/system
	log_run install -c -m 0644 ${workDir}/sshdgenkeys.service ${installDir}${base_libdir}/systemd/system
	sed -i -e 's,@BASE_BINDIR@,'"${base_bindir}"',g' \
		-e 's,@SBINDIR@,'"${sbindir}"',g' \
		-e 's,@BINDIR@,'"${bindir}"',g' \
		-e 's,@LIBEXECDIR@,'"${libexecdir}"'/openssh,g' \
		${installDir}${base_libdir}/systemd/system/sshd.socket ${installDir}${base_libdir}/systemd/system/*.service

	sed -i -e 's,@LIBEXECDIR@,'"${libexecdir}"'/openssh,g' \
		${installDir}/etc/init.d/sshd

	log_run install -D -m 0755 ${workDir}/sshd_check_keys ${installDir}${libexecdir}/${recipe_name}/sshd_check_keys
